Quote
This API is used to obtain a list of option securities by the option chain expiry date.
message OptionChainDateStrikeInfoRequest {
string symbol = 1;
string expiry_date = 2;
}
message OptionChainDateStrikeInfoResponse {
repeated StrikePriceInfo strike_price_info = 1;
}
Request parameters
| Name | Type | Required | Description |
|---|---|---|---|
symbol | string | Required | Security code, in ticker.region format, for example: 700.HK |
expiry_date | string | Required | Option expiry date, in YYMMDD format, for example: 20220429, obtained by Option Expiry Date API |
Response fields
| Name | Type | Required | Description |
|---|---|---|---|
strike_price_info | object[] | Optional | Option security info |
└ price | string | Optional | Strike price |
└ call_symbol | string | Optional | Security code of call option |
└ put_symbol | string | Optional | Security code of put option |
└ standard | bool | Optional | Is standard |
Response JSON example
{
"strike_price_info": [
{
"price": "100",
"call_symbol": "AAPL220429C100000.US",
"put_symbol": "AAPL220429P100000.US",
"standard": true
}
]
}